# Query Installation Details

Get the information about such fields as: productName, serviceIdentifier, nniIdentifier, nniSVlanId, nniCVlandId, cfh:lineProfile, etc.

Endpoint: POST /queryInstallationDetails
Version: 2.31
Security: Certificate

## Request fields (application/xml):

  - `message` (object, required)
    The meta-data of the request. It includes information regarding the message UUID, transaction ID and the sent timestamp

  - `message.messageId` (string, required)
    A unique ID to identify the message
    Example: b68b2cf4-475e-11e1-a92e-fb2ff6467c99

  - `message.correlationId` (string, required)
    A Correlation ID, also known as a Transit ID, is a unique identifier value that is attached to requests and messages that allow reference to a particular transaction or event chain
    Example: bac72cfa-475e-11e1-a92e-fb2ff6467c99

  - `message.sentAt` (string, required)
    The timestamp when the message has been sent
    Example: 2012-01-20T18:30:43Z

  - `buyer` (object, required)
    The Service Provider who consumes the service is the buyer

  - `buyer.buyerIdentifier` (string, required)
    Unique identifier of the buyer
    Example: SPDEV1

  - `buyer.cfh:resellerId` (string)
    Unique identifier of the reseller. Sourced from the Ofcom Reseller Identification List
    Example: BAQ

  - `seller` (object, required)
    the Active Network Operator who provides the service is the seller

  - `seller.sellerIdentifier` (string, required)
    Unique identifier of the seller
    Example: CITYFIBRE

  - `serviceIdentifier` (string, required)
    Unique Identifier for the service
    Example: S12345

## Response 200 fields (application/xml):

  - `message` (object, required)
    The meta-data of the request. It includes information regarding the message UUID, transaction ID and the sent timestamp

  - `message.messageId` (string, required)
    A unique ID to identify the message
    Example: b68b2cf4-475e-11e1-a92e-fb2ff6467c99

  - `message.correlationId` (string, required)
    A Correlation ID, also known as a Transit ID, is a unique identifier value that is attached to requests and messages that allow reference to a particular transaction or event chain
    Example: bac72cfa-475e-11e1-a92e-fb2ff6467c99

  - `message.sentAt` (string, required)
    The timestamp when the message has been sent
    Example: 2012-01-20T18:30:43Z

  - `buyer` (object, required)
    The Service Provider who consumes the service is the buyer

  - `buyer.buyerIdentifier` (string, required)
    Unique identifier of the buyer
    Example: SPDEV1

  - `buyer.cfh:resellerId` (string)
    Unique identifier of the reseller. Sourced from the Ofcom Reseller Identification List
    Example: BAQ

  - `seller` (object, required)
    the Active Network Operator who provides the service is the seller

  - `seller.sellerIdentifier` (string, required)
    Unique identifier of the seller
    Example: CITYFIBRE

  - `queryInstallationDetailsAccepted` (object, required)

  - `queryInstallationDetailsAccepted.activeService` (object)
    Active service

  - `queryInstallationDetailsAccepted.activeService.service` (object)
    Active service details

  - `queryInstallationDetailsAccepted.activeService.service.serviceIdentifier` (string)
    Unique Identifier for the service
    Example: S12345

  - `queryInstallationDetailsAccepted.activeService.service.alaServiceConfiguration` (object)

  - `queryInstallationDetailsAccepted.activeService.service.alaServiceConfiguration.nniIdentifier` (string)
    Optional - If none specified, will be allocated based on valid configuration
    Example: S1945

  - `queryInstallationDetailsAccepted.activeService.service.alaServiceConfiguration.nniSVlanId` (integer)
    Optional - If none specified, will be allocated based on valid configuration
    Example: 3000

  - `queryInstallationDetailsAccepted.activeService.service.alaServiceConfiguration.cfh:lineProfile` (string)
    Example: G1000/1000/A/V

  - `queryInstallationDetailsAccepted.activeService.service.product` (object)

  - `queryInstallationDetailsAccepted.activeService.service.product.productName` (string)
    The name of the product available for a given location
    Example: ftthl2r

  - `queryInstallationDetailsRejected` (any, required)

  - `queryInstallationDetailsRejected.systemError` (object)

  - `queryInstallationDetailsRejected.systemError.errorCode` (string)
    Error Code
    Example: CF-123-123

  - `queryInstallationDetailsRejected.systemError.errorMessage` (string)
    Error Message
    Example: Some failure

  - `queryInstallationDetailsRejected.validationFailures` (array)

  - `queryInstallationDetailsRejected.validationFailures.validationFailure` (object)

  - `queryInstallationDetailsRejected.validationFailures.validationFailure.validationFailureField` (string, required)
    Validation Failure Field
    Example: postcode

  - `queryInstallationDetailsRejected.validationFailures.validationFailure.validationFailureMessage` (string, required)
    Validation Failure message
    Example: Invalid Postcode

  - `queryInstallationDetailsRejected.errorOther` (object)

  - `queryInstallationDetailsRejected.errorOther.errorCode` (string, required)
    Error Code
    Example: CF-123-123

  - `queryInstallationDetailsRejected.errorOther.errorMessage` (string, required)
    Error Message
    Example: Some failure

## Response 400 fields (application/xml):

  - `fault` (object)

  - `fault.faultcode` (string, required)

  - `fault.faultmessage` (string, required)

  - `fault.detail` (string)

## Response 401 fields (application/xml):

  - `fault` (object)

  - `fault.faultcode` (string, required)

  - `fault.faultmessage` (string, required)

  - `fault.detail` (string)

## Response 403 fields (application/xml):

  - `fault` (object)

  - `fault.faultcode` (string, required)

  - `fault.faultmessage` (string, required)

  - `fault.detail` (string)

